Cyberduck Mountain Duck CLI

#10349 closed defect (worksforme)

FTP response 421 received

Reported by: grushkosa Owned by: dkocher
Priority: high Milestone:
Component: cli Version: 6.6.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Hi!

I am trying to copy files from OneHub to Google Drive.

The command I use:

duck --copy ftps://ftp.onehub.com:2021/Hub%3Anew-toronto-courthouse/Page%3Afiles/Library%3Afiles/CyberTest_folder/ googledrive://My%20Drive/New_folder13/

The response I get:

Connection failed. FTP response 421 received. Server closed connection. The connection attempt was rejected. The server may be down, or your network may not be properly configured.

I also tried to do the following: Select Preferences → Transfers → General → "Use Browser Connection" and "Open single connection" -- it didn't help.

How do I copy files from one server to another?

Attachments (1)

Capture1.PNG (17.7 KB) - added by grushkosa on Jun 5, 2018 at 8:00:55 PM.

Download all attachments as: .zip

Change History (7)

Changed on Jun 5, 2018 at 8:00:55 PM by grushkosa

comment:1 Changed on Jun 6, 2018 at 5:40:45 PM by dkocher

  • Component changed from core to cli

comment:2 Changed on Jun 6, 2018 at 5:41:02 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Jun 23, 2018 at 9:17:39 AM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 Changed on Jul 23, 2018 at 3:00:13 PM by dkocher

220 Onehub, Inc. FTP Server - All actions are logged on this server
AUTH TLS
234 AUTH=TLS
USER anonymous
421 Anonymous logins not permitted.

comment:5 Changed on Jul 23, 2018 at 3:01:44 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Please try to add a username to the command like

duck --copy ftps://myuser@ftp.onehub.com:2021/Hub%3Anew-toronto-courthouse/Page%3Afiles/Library%3Afiles/CyberTest_folder/ googledrive://My%20Drive/New_folder13/

to avoid an attempt to authenticate as an anonymous user. The server reports an 421 error instead of a proper authentication failure which would trigger the login prompt unfortunately.

comment:6 Changed on Jul 23, 2018 at 3:01:53 PM by dkocher

  • Milestone 7.0 deleted
Note: See TracTickets for help on using tickets.
swiss made software